Home > Vmware Unable > Vmware Unable To Build The Vmmemctl Module

Vmware Unable To Build The Vmmemctl Module

Building the vmblock module. Do not say yes to the experimental option (might work, but have not tested it - can't see the matching open source modules tho...).Poof - should all work. Would you like to enable this feature? [yes] Trying to find a suitable vmci module for your running kernel. modules > make[1]: Entering directory `/usr/src/linux-headers-2.6.24-12-generic' > CC [M] /tmp/vmware-config2/vmci-only/dbllnklst.o > CC [M] /tmp/vmware-config2/vmci-only/kernelStubsLinux.o > In file included from include/linux/kernel.h:13, > from /tmp/vmware-config2/vmci-only/kernelStubs.h:19, > from /tmp/vmware-config2/vmci-only/kernelStubsLinux.c:14: > include/linux/types.h:40: error: conflicting types Source

File /usr/lib/vmware-tools/lib32/libconf/etc/gtk-2.0/gdk-pixbuf.loaders is backed up to /usr/lib/vmware-tools/lib32/libconf/etc/gtk-2.0/gdk-pixbuf.loaders.old.2. Theme by MyThemeShop VMware Tools install on Ubuntu Server 8.04/2.6.24-18.32 Guest (ESX 3.5) Brett Alton brett.jr.alton at gmail.com Tue Jun 3 23:21:41 BST 2008 Previous message: VMware Tools install on Ubuntu I don't think I've ever managed to get vmware tools to install on Ubuntu without seeking out fixes, patch files etc :( Any assistance greatfully received. Like Show 0 Likes (0) Actions 4.

Re: Problem compiling vmmemctl module after hitting Fedora 8 update button salzhering Jun 11, 2008 1:40 AM (in response to Mufassa) The solution of Mufassa is still valid today. At the one that asks about the Virtual Machine >>> Communication Interface, select yes to install it. I think it was ScrollKeeper or something like that. As for the mouse, my scroll wheel didn't work at first either.

Do you want this program to try to build the vmmemctl module for your system (you need to have a C compiler installed on your system)? [yes] Using compiler "/usr/bin/gcc". I followed some Howto's and already installed the build-essentials, linux-headers and linux-source for the current kernel. I am a Canadian resident who wants to gift my Adult US child CAD$175K. Or, apply the patches, then rebuild the tarball and put it back into /usr/lib/vmware-tools/lib/modules/source and vmware-config-tools.pl should start using it. --- compat_wait.h.old 2008-03-26 19:50:37.000000000 -0700 +++ compat_wait.h 2008-03-26 19:50:49.000000000 -0700 @@

modules make[1]: Entering directory `/usr/src/linux-headers-2.6.31-16-generic' CC [M] /tmp/vmware-config15/vmmemctl-only/backdoorGcc64.o In file included from /tmp/vmware-config15/vmmemctl-only/backdoor.h:29, from /tmp/vmware-config15/vmmemctl-only/backdoorGcc64.c:38: /tmp/vmware-config15/vmmemctl-only/vm_basic_types.h:108:7: warning: "__FreeBSD__" is not defined CC [M] /tmp/vmware-config15/vmmemctl-only/os.o In file included from /tmp/vmware-config15/vmmemctl-only/os.c:51: /tmp/vmware-config15/vmmemctl-only/compat_wait.h:78: error: Setting up Update Process Resolving Dependencies --> Running transaction check ---> Package kernel.i686 0:2.6.32-279.1.1.el6 will be installed --> Processing Dependency: kernel-firmware >= 2.6.32-279.1.1.el6 for package: kernel-2.6.32-279.1.1.el6.i686 --> Running transaction check ---> I'll try with a CentOS guest to see if it builds properly. I'm using hardy as my guest, so the compile > of all the > > >>kernel modules fails (it's a 2.6.24 kernel).

Before running VMware for the first time after update, you need to configure it for your running kernel by invoking the following command: "/usr/bin/vmware-config-tools.pl". SUBDIRS=$PWD SRCROOT=$PWD/. I don't know if any other components were installed, but I haven't really tried to find out either. Terms Privacy Opt Out Choices Advertise Get latest updates about Open Source Projects, Conferences and News.

Running ./vmware-install.pl it gets to the bit where it runs vmware-config-tools.pl I get the "None of the pre-built modules for VMware Tools is suitable for your running kernel" message User contributions on this site are licensed under the Creative Commons Attribution Share Alike 4.0 International License. The kernel headers can change a bunch and the source VMware ships for the various Tools modules doesn't change unless you upgrade to a new version. While I expect you can't say much, my vote is to open it :) Cheers, Cam Re: [open-vm-tools-devel] vmware-tools-config.pl doesn't accept --experimental From: Cam Macdonell - 2008-03-26 23:48:16 Andrew Biggadike

asked 6 years ago viewed 1512 times active 5 years ago Blog Stack Overflow Gives Back 2016 Related 0How do I install VMware Tools in an Ubuntu VM running in VMware this contact form Any help would be appreciated! These packages are available on your distribution's installation CD. [ Press Enter key to continue ] None of the pre-built vmblock modules for VMware Tools is suitable for your running kernel. Trying to find a suitable vmhgfs module for your running kernel.

I found that replacing: "vmmouse" with "mouse", and "ps/2" with "imps/2" gave me the best results of the solutions that were offered. Reboot the CentOS 6.3 3. He also mentions how to fix the scrolling problem in his blog. have a peek here The fast network device driver (vmxnet module) is used only for our fast networking interface.

He also mentions how to fix the scrolling problem in his blog. These packages are available on your distribution's installation CD. [ Press Enter key to continue ] Trying to find a suitable vmblock module for your running kernel. make: ディレクトリ `/tmp/vmware-config14/vmhgfs-only' に入ります make -C /lib/modules/2.6.22.9-91.fc7/build/include/..

Adv Reply April 25th, 2008 #2 spaceballl View Profile View Forum Posts Private Message Visit Homepage Gee!

Thanks, Cam Re: [open-vm-tools-devel] vmware-tools-config.pl doesn't accept --experimental From: Andrew Biggadike - 2008-03-27 02:23:24 Thanks Cam. Would you like to enable this feature? [yes] > > Trying to find a suitable vmci module for your running kernel. > > None of the pre-built vmci modules for VMware For each directory: a) Rename it to xxx-only (i.e. Are you SURE you want to continue? [no] yes Stopping VMware Tools services in the virtual machine: Guest operating system daemon: [ OK ] None of the pre-built vmmemctl modules for

Do you mind providing the output of the build failure? You may have to uninstall Workstation and reinstall workstation and then run ./runme.pl from vmware-any-any-update116. failed Cannot open /usr/lib/vmware-tools/bin/vmware-vmx: No such file or directory Updating /usr/lib/vmware-tools/bin-debug/vmware-vmx ... Check This Out Do you want to change the display size that X starts with? (yes/no) [no] yes Please choose one of the following display sizes that X will start with (1 - 15):

At the one that asks about the Virtual Machine > Communication Interface, select yes to install it. The instructions worked fine for me; Ubuntu 8.0.4 installed on VMWare Fusion 1.1.2 running on MacOS 10.5.2. For example, "tar -cf vmmemctl.tar vmmemctl-only"Once each directory is tarred, copy the tars overwriting the existing vmware-tools official ones. Do you want this program to invoke the command for you now? [yes] It looks like you are trying to run this program in a remote session.

Use environment variable CC to override. It seems that the only fix for this is to wait until VMWare provides an update. You can not post a blank message. Ubuntu Logo, Ubuntu and Canonical ゥ Canonical Ltd.

kernel is : # cat /proc/version Linux version 2.6.24.3-12.fc8 ([email protected]) (gcc version 4.1.2 20070925 (Red Hat 4.1.2-33)) #1 SMP Tue Feb 26 14:21:30 EST 2008 I have done complete SUBDIRS=$PWD SRCROOT=$PWD/. None of the pre-built vmxnet modules for VMware Tools is suitable for your running kernel. Update: I just tried the fix mentioned here, it does not apply because the specified line is already there.

SUBDIRS=$PWD SRCROOT=$PWD/. The rest of the software provided by VMware Tools is designed to work independently of this feature. I am installing VMtools the usual way on WS 6.0.2 build-59824 ---------------- Building the vmmemctl module. vmmemctl becomes vmmemctl-only) b) Then, tar each directory as follows: "tar -cf xxx.tar xxx-only".

The rest of the software provided by VMware Tools is designed to work independently of this feature. Good luck! -- Brett Alton brett.jr.alton at gmail.com Do you really need to print this email? Reply Leave a Reply Cancel reply Notify me of follow-up comments by email. modules make[1]: Entering directory `/usr/src/linux-headers-2.6.24-12-generic' CC [M] /tmp/vmware-config2/vmci-only/dbllnklst.o CC [M] /tmp/vmware-config2/vmci-only/kernelStubsLinux.o In file included from include/linux/kernel.h:13, from /tmp/vmware-config2/vmci-only/kernelStubs.h:19, from /tmp/vmware-config2/vmci-only/kernelStubsLinux.c:14: include/linux/types.h:40: error: conflicting types for 窶uintptr_t窶 /tmp/vmware-config2/vmci-only/vm_basic_types.h:170: error: previous declaration of

compile: Force the compilation of kernel modules. > . The rest of the software provided by VMware Tools is designed to work independently of this feature. Use environment variable CC to override.What is the location of the directory of C header files that match your runningkernel? /lib/modules/2.6.24.3-12.fc8/build/include Extracting the sources of the vmmemctl module.Building the vmmemctl module.Using